# proyecto_final2

// modelo puntuacion

'use strict';
var mongoose = require('mongoose');
var Schema = mongoose.Schema;
var PuntuacionSchema = Schema({
    idPuntuacion: mongoose.Schema.Types.ObjectId,
    ranking: String,
   comentario: String,
  correo: String,
     usuario:{
        type: mongoose.Schema.Types.ObjectId,
        ref:"Usuario"
    },
    
#    lugar_turistico:{
#       type: mongoose.Schema.Types.ObjectId,
#        ref: "lugart"
#   }
    
#}, false, );

#module.exports= mongoose.model("Puntuacion", PuntuacionSchema);


// modelo cuenta 

#'use strict';
#var mongoose = require('mongoose');
#var Schema = mongoose.Schema;
#var CuentaSchema = Schema({
#    idCuenta: mongoose.Schema.Types.ObjectId,
#    external_id: String,
#    correo: String,
#    clave: String,
#    persona: {
#        type: mongoose.Schema.Types.ObjectId,
#        ref: "Persona"
    }
#}, false, {timestamps: {createdAt:'created_at', updatedAt:'updated_at'}});

#module.exports= mongoose.model("Cuenta", CuentaSchema);


// modelo usuario 

#'use strict';
#var mongoose = require('mongoose');
#var Schema = mongoose.Schema;
#var UsuarioSchema = Schema({
#    idUsuario: mongoose.Schema.Types.ObjectId,
#    nombre: String,
#    apellido: String,
#    cedula: String,
#    telefono: String,
#    correo: String,
#}, false );

#module.exports= mongoose.model("Usuario", UsuarioSchema);

//modelo Rol

#'use strict';
#var mongoose = require('mongoose');
#var Schema = mongoose.Schema;
#var RolSchema = Schema({
#    idRol: mongoose.Schema.Types.ObjectId,
#    nombreUsuario: String,
#    nombreRol: String,
#    external_id: String,
#}, false );

#module.exports= mongoose.model("Rol", RolSchema);

// modelo lugar turistico

#'use strict';
#var mongoose = require('mongoose');
#var Schema = mongoose.Schema;
#var lugar_tSchema = Schema({
#    idlugarTuristico: mongoose.Schema.Types.ObjectId,
#     nombre: String,
#    direccion: String,
#    descripcion: String,
#    horarioAtencion: Number,
    
#    categoria: {
#        type:mongoose.Schema.Types.ObjectId,
#        ref:"Categoria"
#    }
#}, false, );

#module.exports= mongoose.model("lugart", lugar_tSchema);

// modelo categoria

#'use strict';
#var mongoose = require('mongoose');
#var Schema = mongoose.Schema;
#var CategoriaSchema = Schema({
#    idCategoria: mongoose.Schema.Types.ObjectId,
#    nombre: String,
#    definicioncategoria: String,
   
#}, false );

#module.exports= mongoose.model("Categoria", CategoriaSchema);

// modelo galeria multimedia

#'use strict';
#var mongoose = require('mongoose');
#var Schema = mongoose.Schema;
#var GaleriaSchema = Schema({
#    idGM: mongoose.Schema.Types.ObjectId,
#    fotos: src,
#    videos: src,
    
#    lugar_turistico:{
#        type:mongoose.Schema.Types.ObjectId,
#        ref:"Categoria"
#    }
    
#}, false, {timestamps: {createdAt:'created_at', updatedAt:'updated_at'}});

#module.exports= mongoose.model("galeria", galeriaSchema);



modelos proyecto